### Method

# Soup CookieJar get_cookie_list_with_same_site_info

#### Declaration [src]

    GSList*
    soup_cookie_jar_get_cookie_list_with_same_site_info (
      SoupCookieJar* jar,
      GUri* uri,
      GUri* top_level,
      GUri* site_for_cookies,
      gboolean for_http,
      gboolean is_safe_method,
      gboolean is_top_level_navigation
    )

#### Description [src]

This is an extended version of `soup_cookie_jar_get_cookie_list()` that provides more information required to use SameSite cookies.

See the SameSite cookies spec for more detailed information.

#### Parameters

`uri` | `GUri`
| A `GUri`.
| The data is owned by the caller of the function.
`top_level` | `GUri`
| A `GUri` for the top level document.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`site_for_cookies` | `GUri`
| A `GUri` indicating the origin to get cookies for.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`for_http` | `gboolean`
| Whether or not the return value is being passed directly to an HTTP operation.
`is_safe_method` | `gboolean`
| If the HTTP method is safe, as defined by RFC 7231, ignored when `for_http` is `FALSE`.
`is_top_level_navigation` | `gboolean`
| Whether or not the HTTP request is part of top level navigation.

#### Return value

Returns: | A list of `SoupCookie*`
| A `GSList` with the cookies in the `jar` that would be sent with a request to `uri`.
| The caller of the method takes ownership of the data, and is responsible for freeing it.